Bug 388903

Summary: JJ: disable grids if opengl is disabled
Product: krita Reporter: mvowada <freebox64>
Component: GeneralAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: capriciouswalk, dimula73, halla, nicholaslapointe8
Priority: NOR Keywords: junior-jobs
Version: 4.0.0-beta.1   
Target Milestone: ---   
Platform: Appimage   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: (Image example)

Description mvowada 2018-01-13 12:42:14 UTC
Created attachment 109834 [details]
(Image example)

(Ubuntu 14.04 - Krita 4.0.0-beta1.1.appimage)

When zooming in the canvas the pixel grid doesn't appear, even if it's enabled (see image). Steps:

1) enable "View > Show Pixel Grid"
2) zoom in the canvas

Actual Results: Pixel Grid doesn't show up
Expected Results: show Pixel Grid when zooming in
Comment 1 Halla Rempt 2018-01-13 12:46:49 UTC
Looks like the variable is initialized the wrong way around: if it's on, the grid is hidden, if it's off, the grid is shown.
Comment 2 Nicholas LaPointe 2018-01-16 02:16:45 UTC
I was going to try fixing this, but it worked for me (I tested git 2ab0991 on one computer and krita-4.0.0-beta.1-x86_64.appimage on another).

That said, there are two circumstances where I can get this to occur:
* When OpenGL is disabled. (The pixel grid requires OpenGL, but the "Show Pixel Grid" can still be enabled when OpenGL is disabled.)
* When toggling the "Show Pixel Grid" option and switching documents in certain ways (see bug 389033; although the steps to have the grid disabled and the checkbox enabled are a little different).

I'm going to assume that the second one doesn't apply here, but the first seems like it might be a reasonable cause. Could you check if OpenGL is disabled for me?
Comment 3 mvowada 2018-01-16 10:43:55 UTC
(In reply to Nicholas LaPointe from comment #2)
> the first seems like it might be a reasonable cause. Could you check if OpenGL is disabled for me?
Yes, it OpenGL was disabled (Ubuntu 14.04 - Krita 4.0.0-beta1.1.appimage)
Comment 4 Dmitry Kazakov 2018-04-13 11:04:00 UTC
–†Hi, Mvowada!

Pixel Grid feature doesn't work when openGL is disabled (not implemented). I guess we should just disable the menu action when openGL is disabled.
Comment 5 Shingo Ohtsuka 2018-09-05 17:47:15 UTC
(In reply to Dmitry Kazakov from comment #4)
> Pixel Grid feature doesn't work when openGL is disabled (not implemented). I
> guess we should just disable the menu action when openGL is disabled.

Hello, there.

I tried to make a patch.

https://phabricator.kde.org/D15299

Could you review it?
I beg your pardon if I made a mistake of workflow.
Comment 6 Halla Rempt 2018-09-06 08:34:02 UTC
No, this is perfectly fine. I'm building with the patch now.
Comment 7 Halla Rempt 2018-09-06 09:24:13 UTC
Git commit 9d0a1bba3d5be38fb34a08758ba5099ffde704eb by Boudewijn Rempt.
Committed on 06/09/2018 at 09:22.
Pushed by rempt into branch 'master'.

Disable pixel grid action of opengl is disabled
Differential Revision: https://phabricator.kde.org/D15299
CCMAIL: capriciouswalk@gmail.com

Patch by Shingo Ohtsuka, thanks!

M  +1    -1    krita/kritamenu.action
M  +1    -1    libs/ui/KisViewManager.cpp
M  +2    -1    libs/ui/kis_action.h
M  +8    -0    libs/ui/kis_action_manager.cpp

https://commits.kde.org/krita/9d0a1bba3d5be38fb34a08758ba5099ffde704eb
Comment 8 Halla Rempt 2018-09-07 14:25:20 UTC
Git commit b19baf642605c2e30194c24d36a0c3d2a40ea8ca by Boudewijn Rempt.
Committed on 07/09/2018 at 13:04.
Pushed by rempt into branch 'krita/4.1'.

Disable pixel grid action of opengl is disabled
Differential Revision: https://phabricator.kde.org/D15299
CCMAIL: capriciouswalk@gmail.com

Patch by Shingo Ohtsuka, thanks!

M  +1    -1    krita/kritamenu.action
M  +1    -1    libs/ui/KisViewManager.cpp
M  +2    -1    libs/ui/kis_action.h
M  +8    -0    libs/ui/kis_action_manager.cpp

https://commits.kde.org/krita/b19baf642605c2e30194c24d36a0c3d2a40ea8ca